upstream newsfeed_internal {
    server newsfeed_internal:8001;
}

server {

    listen 84;
    server_name localhost;
    large_client_header_buffers 4 16k;

    location / {
        proxy_pass http://newsfeed_internal;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header Host $host;
        proxy_redirect off;
    }
    location /static/ {
        alias /var/local/static/newsfeed/;
    }
    location /media/ {
        alias /var/local/media/newsfeed/base/;
    }

}
